Set social security balance

Credentials

No credentials are documented for this endpoint.

Set the social security balance for a seller.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
socialId string yes Seller Israeli ID number
email string yes Seller email
balance number yes Balance amount in ILS
updateDate string yes Balance update date
directDebit integer no Direct debit authorization status

Request example

{
  "socialId": "123456789",
  "email": "seller@example.com",
  "balance": 5000,
  "updateDate": "2024-01-15",
  "directDebit": 1
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/sellers/social-security-balance' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "socialId": "123456789",
  "email": "seller@example.com",
  "balance": 5000,
  "updateDate": "2024-01-15",
  "directDebit": 1
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/sellers/social-security-balance", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "socialId": "123456789",
    "email": "seller@example.com",
    "balance": 5000,
    "updateDate": "2024-01-15",
    "directDebit": 1
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/sellers/social-security-balance",
    json={
        "socialId": "123456789",
        "email": "seller@example.com",
        "balance": 5000,
        "updateDate": "2024-01-15",
        "directDebit": 1,
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "socialId": "123456789",
  "email": "seller@example.com",
  "balance": 5000,
  "updateDate": "2024-01-15",
  "directDebit": 1
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/sellers/social-security-balance');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — Social security balance updated successfully (success)

400 — Bad Request - Validation failed (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}

401 — Unauthorized - Invalid or missing authentication (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}